Create Bookings

This endpoint allows you to create new bookings

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Single Booking

Single bookings offer users the ability to create booking for a maximum of 1 passenger.

Multiple Booking

Multiple bookings can be done but up to a maximum of 5 passengers, to create multiple bookings you will need to indicate an array of passengers alongside your request.

{
    "ride": {
        "departure_ride_id": "{{rideDepartureId}}",
        "destination_ride_id": "{{rideDestinationId}}"
    },
    "passengers": [
        {
            "ride_seat_id": "{{seatId}}",
            "passenger_type_id": "{{passengerTypeId}}",
            "first_name": "Dauda",
            "last_name": "Pona",
            "gender": "Female",
            "phone_number": "09032780584",
            "phone_country_code": "+234",
            "email": "[email protected]",
            "next_of_kin_first_name": "Pona",
            "next_of_kin_last_name": "Dauda",
            "next_of_kin_phone_number": "07081149777"
        },
        {
            "ride_seat_id": "ca170b79-22c6-4dd1-8932-58c5b2c59843",
            "passenger_type_id": "{{passengerTypeId}}",
            "first_name": "Dauda",
            "last_name": "Pona",
            "gender": "Female",
            "phone_number": "09032780584",
            "phone_country_code": "+234",
            "email": "[email protected]",
            "next_of_kin_first_name": "Pona",
            "next_of_kin_last_name": "Dauda",
            "next_of_kin_phone_number": "07081149777"
        }
    ]
}
Body Params
ride
object
required
passengers
array of objects
required
passengers*
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json